<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailTempModeGridViewBase from './ibizorder-detail-temp-mode-grid-view-base.vue';

import view_grid from '@widgets/ibizorder-detail/temp-mode-grid-grid/temp-mode-grid-grid.vue';
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailTempModeGridView extends IBIZOrderDetailTempModeGridViewBase {

}
</script>